org.cpsolver.studentsct.online

## Class OnlineConfig

- java.lang.Object
- - org.cpsolver.ifs.assignment.context.AbstractClassWithContext<Request,Enrollment,Config.ConfigContext>
  - - org.cpsolver.studentsct.model.Config
    - - org.cpsolver.studentsct.online.OnlineConfig

- All Implemented Interfaces:
    CanHoldContext, CanInheritContext<Request,Enrollment,Config.ConfigContext>, HasAssignmentContext<Request,Enrollment,Config.ConfigContext>

      public class OnlineConfig
      extends Config

  An online configuration. A simple extension of the `Config` class that allows to set the current configuration enrollment. This class is particularly useful when a model containing only the given student is constructed (to provide him/her with a schedule or suggestions).
  Version:
    StudentSct 1.3 (Student Sectioning)
    Copyright (C) 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses.
  Author:
    Tomáš Müller

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.cpsolver.studentsct.model.Config

      `Config.ConfigContext`

  - ### Field Summary

    - ### Fields inherited from interface org.cpsolver.ifs.assignment.context.CanHoldContext

      `sMaxSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnlineConfig(long id, int limit, String name, Offering offering)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEnrollment()` Get current enrollment
    `void` | `setEnrollment(int enrollment)` Set current enrollment

    - ### Methods inherited from class org.cpsolver.studentsct.model.Config

      `clearReservationCache, createAssignmentContext, equals, getConfigReservations, getCreditValue, getEnrollments, getEnrollmentTotalWeight, getEnrollmentWeight, getId, getInstructionalMethodId, getInstructionalMethodName, getInstructionalMethodReference, getLimit, getMaxEnrollmentWeight, getMaxPenalty, getMinEnrollmentWeight, getMinPenalty, getModel, getName, getNrArrHours, getNrOnline, getNrPast, getOffering, getReservations, getSubparts, getTotalUnreservedSpace, getUnreservedSpace, hasCreditValue, hashCode, inheritAssignmentContext, setInstructionalMethodId, setInstructionalMethodName, setInstructionalMethodReference, setLimit, toString`

    - ### Methods inherited from class org.cpsolver.ifs.assignment.context.AbstractClassWithContext

      `getAssignmentContextReference, getContext, getContext, setAssignmentContextReference`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OnlineConfig

          public OnlineConfig(long id,
                              int limit,
                              String name,
                              Offering offering)

  - ### Method Detail

    - #### setEnrollment

          public void setEnrollment(int enrollment)

      Set current enrollment
      Parameters:
        `enrollment` - current enrollment

    - #### getEnrollment

          public int getEnrollment()

      Get current enrollment
      Returns:
        current enrollment